
From: Christoph Hellwig <hch@lst.de>

This was used by the early irqstacks implementation on s390 and has been
replaced by __ARCH_HAS_DO_SOFTIRQ now.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/interrupt.h |    4 ----
 25-akpm/kernel/softirq.c          |    2 +-
 2 files changed, 1 insertion(+), 5 deletions(-)

diff -puN include/linux/interrupt.h~remove-invoke_softirq include/linux/interrupt.h
--- 25/include/linux/interrupt.h~remove-invoke_softirq	2004-10-26 20:06:06.453087456 -0700
+++ 25-akpm/include/linux/interrupt.h	2004-10-26 20:06:06.458086696 -0700
@@ -109,10 +109,6 @@ extern void softirq_init(void);
 extern void FASTCALL(raise_softirq_irqoff(unsigned int nr));
 extern void FASTCALL(raise_softirq(unsigned int nr));
 
-#ifndef invoke_softirq
-#define invoke_softirq() do_softirq()
-#endif
-
 
 /* Tasklets --- multithreaded analogue of BHs.
 
diff -puN kernel/softirq.c~remove-invoke_softirq kernel/softirq.c
--- 25/kernel/softirq.c~remove-invoke_softirq	2004-10-26 20:06:06.455087152 -0700
+++ 25-akpm/kernel/softirq.c	2004-10-26 20:06:06.459086544 -0700
@@ -145,7 +145,7 @@ void local_bh_enable(void)
  	sub_preempt_count(SOFTIRQ_OFFSET - 1);
 
 	if (unlikely(!in_interrupt() && local_softirq_pending()))
-		invoke_softirq();
+		do_softirq();
 
 	dec_preempt_count();
 	preempt_check_resched();
_
